{% extends "templates/web.html" %}
{% from "erpnext/templates/includes/macros.html" import recommended_item_row %}

{% block title %} {{ title }} {% endblock %}

{% block breadcrumbs %}
<div class="item-breadcrumbs small text-muted">
	{% include "templates/includes/breadcrumbs.html" %}
</div>
{% endblock %}

{% block page_content %}
<div class="product-container item-main">
	{% from "erpnext/templates/includes/macros.html" import product_image %}
	<div class="item-content">
		<div class="product-page-content mb-5" itemscope itemtype="http://schema.org/Product">
			<!-- Image, Description, Add to Cart -->
			<div class="row mb-5 item-website-description">
				{% include "templates/generators/item/item_image.html" %}
				{% include "templates/generators/item/item_details.html" %}
			</div>
		</div>
	</div>
</div>

<!-- Additional Info/Reviews, Recommendations -->
<div class="d-flex additional-product-info">
	{% if booking_enabled and shopping_cart.product_info %}
		{% include "templates/generators/item/item_booking.html" %}
	{% endif %}

	{% set show_recommended_items = recommended_items and shopping_cart.cart_settings.enable_recommendations %}
	{% set info_col = 'col-9' if show_recommended_items else 'col-12' %}

	{% set padding_top = 'pt-0' if (show_tabs and tabs) else '' %}

	{% if (show_tabs and tabs) or website_specifications or doc.website_content or (shopping_cart.cart_settings.enable_reviews and not doc.has_variants) %}
	<div class="product-container mt-4 {{ padding_top }} {{ info_col }}">
		<div class="item-content {{ 'mt-minus-2' if (show_tabs and tabs) else '' }}">
			<div class="product-page-content">
				<!-- Product Specifications Table Section -->
				{% if show_tabs and tabs %}
					<div class="category-tabs">
						<!-- tabs -->
							{{ web_block("Section with Tabs", values=tabs, add_container=0,
								add_top_padding=0, add_bottom_padding=0)
							}}
					</div>
				{% elif website_specifications %}
					{% include "templates/generators/item/item_specifications.html"%}
				{% endif %}

				<!-- Advanced Custom Website Content -->
				{{ doc.website_content or '' }}

				<!-- Reviews and Comments -->
				{% if shopping_cart.cart_settings.enable_reviews and not doc.has_variants %}
					{% include "templates/generators/item/item_reviews.html"%}
				{% endif %}
			</div>
		</div>
	</div>
	{% endif %}

	<!-- Recommended Items -->
	{% if show_recommended_items %}
		<div class="mt-4 col-3 recommended-item-section">
			<span class="recommendation-header">{{ _("Recommended") }}</span>
			<div class="product-container mt-2 recommendation-container">
				{% for item in recommended_items %}
					{{ recommended_item_row(item) }}
				{% endfor %}
			</div>
		</div>
	{% endif %}
</div>
{% endblock %}

{% block style %}
<style>
	.item-website-description h1 {
		margin: 2rem 0;
	}

	.additional-product-info {
		display: flex;
		flex-direction: column;
	}

	#item-booking {
		width: 100%;
		display: flex;
		opacity: 0;
		transition: opacity 1.5s;
	}

	#item-booking.fade {
		opacity: 1;
		transition: opacity 1.5s;
	}

	.formatted-price {
		padding-top: 15px;
		white-space: nowrap;
	}

	.sidebar-section {
		margin: 15px 0;
		padding: 0 0 0 15px;
		border-left: 1px solid #6cd5e1;
	}

	.sidebar-button {
		padding: 0 0 0 15px;
	}

	.sidebar-section .checkbox {
		white-space: nowrap;
	}

	.sidebar-section .remove-slot {
		cursor: pointer;
	}

	.sidebar-card input[type="checkbox"],
	.sidebar-card label span {
		cursor: pointer;
	}

	.calendar-sidebar .form-group,
	.calendar-sidebar .help-box,
	.calendar-sidebar .label {
		margin-bottom: 0;
	}

	.fc .fc-closeButton-button {
		color: #6cd5e1;
		border-color: #6cd5e1;
	}

	.fc .fc-closeButton-button:hover {
		background-color: #ffd98e;
		border-color: #ffd98e;
		color: #6cd5e1;
	}

	@media (max-width: 768px) {
		#item-booking {
			display: inline-block;
		}

		.sidebar-card {
			display: flex;
		}

		.sidebar-section {
			border: none;
			width: 100%;
		}
	}
</style>
{% endblock %}

{% block script %}
<script>
	$('.page_content').on('click', '.like-action-item-fp', (e) => {
		// Bind action on wishlist button
		const $btn = $(e.currentTarget);
		webshop.webshop.wishlist.wishlist_action($btn);
	});

	{% if booking_enabled and shopping_cart.product_info %}
	frappe.ready(() => {
		new erpnext.booking_section({
			parentId: 'booking-calendar',
			item: "{{ item_code }}",
			uom: "{{ shopping_cart.product_info.sales_uom }}",
			date: "{{ calendar_date or '' }}",
			skip_cart: "{{ skip_cart }}",
			can_cancel: {{ booking_can_cancel|e }},
			cancellation_delay: {{ booking_cancellation_delay|e }},
		})
	})
	{% endif %}
</script>
{% endblock %}

{% block base_scripts %}
<!-- js should be loaded in body! -->
{{ super() }}
{{ include_script("dialog.bundle.js") }}
{{ include_script("controls.bundle.js") }}
{{ include_script("portal-calendar.bundle.js") }}
{{ include_script("webshop-booking.bundle.js") }}
{% endblock %}
